1.0

1.0

get /v1/data-ops

Description

{aianalytics.GetDataOpsListConsole.notes}

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_ops_name
optional
data_ops_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataOpsConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:29.993Z",
            "data_ops_id": "",
            "data_ops_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:30.000Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}